#cython: language_level=3

from ._obidms cimport OBIView_line


cdef class OBI_Seq(dict) :
    cdef str id
    cdef str definition
    cdef str sequence

    cpdef set_id(self, str id)
    cpdef get_id(self)
    cpdef set_definition(self, str definition)
    cpdef get_definition(self)
    cpdef get_sequence(self)


cdef class OBI_Nuc_Seq(OBI_Seq) :
    #cpdef str reverse_complement(self)    
    cpdef set_sequence(self, str sequence)


cdef class OBI_Nuc_Seq_Stored(OBIView_line) :
    cpdef set_id(self, str id)
    cpdef get_id(self)
    cpdef set_definition(self, str definition)
    cpdef get_definition(self)
    cpdef set_sequence(self, str sequence)
    cpdef get_sequence(self)
   # cpdef str reverse_complement(self)
