/****************************************************************************
 * OBIDMS_column_idx header file                                            *
 ****************************************************************************/

/**
 * @file obidsmcolumn_idx.h
 * @author Celine Mercier
 * @date February 14th 2016
 * @brief Header file for the functions handling OBIColumns containing data with the OBIType OBI_IDX.
 */


#ifndef OBIDMSCOLUMN_IDX_H_
#define OBIDMSCOLUMN_IDX_H_


#include <stdlib.h>
#include <stdio.h>

#include "obidmscolumn.h"
#include "obitypes.h"

// TODO doc

int obi_column_set_index(OBIDMS_column_p column, index_t line_nb, index_t value);

index_t obi_column_get_index(OBIDMS_column_p column, index_t line_nb);


#endif /* OBIDMSCOLUMN_IDX_H_ */

